Subject: Re: [Sigtran] IUA - ASP Active and ACTIVE ACK

From: [email-masked]
Date: Tue, 14 Jan 2003 18:10:48 +0200

Brian,

                                                                                                           
                      "Brian F. G.                                                                         
                      Bidulock"                To:      [email-masked]                             
                      <bidulock@openss         cc:      [email-masked],                  
                      7.org>                   [email-masked], [email-masked],        
                      Sent by:                 [email-masked], [email-masked]                    
                      sigtran-admin@ie         Subject: Re: [Sigtran] IUA -  ASP Active and ACTIVE ACK     
                      tf.org                                                                               

                      14/01/03 00:31                                                                       
                      Please respond                                                                       
                      to bidulock                                                                          

> Lev.Finkel,
>
> [email-masked] wrote:
(Mon, > 13 Jan 2003 18:17:47)
> >
> > Brian,
> >
> > I mean NOTIFY message exists and must be sent when the AS status is
> > changed.
> > I agree that ACTIVE ACK is to be send on response on ACTIVE. If for
> > internal SG reason the AS is down for certain IID, the SG must send
NOTIFY
> > to the ASPs.
>
> The procedure for doing this that was imported into M2UA from the
> vother UAs by the IG is to send ASPIA Ack.
Where is it defined?
What I see in RFC3331 section 4.3.4.3 is "The SGP MUST send an Error
message ("Invalid Interface Identifier") for each Interface Identifier
value that cannot be successfully activated".
This statement is like section 3.20 of IUA IG.

> Notify is only advisory
> and will not illicit the correct response in the ASP.  In response
> to ASPIA Ack, the ASP must put itself in the ASP-INACTIVE state for
> the AS, and then issue ASPAC. Then the SG can return ERR("Invalid
> IID") to the ASPAC if, indeed, the AS has been "unconfigured".  If
> the AS has not been "unconfigured" in the first place, the SG should
> not be deactivating the AS at all. It should be clearing the
> signalling connection with a Release Indication.\

I agree with sending of ASP Active Ack and "activating" of all configured
interfaces. The real problematical case is at the moment when ASP does not
activate-deactivate. This case is following: Interface/D-channel removed
from SG configuration and again introduced without reconfiguring of ASP. SG
sends Release Indication upon management removal action. ASP periodically
sends Establish Request. When Interface again configured the SG can not
define ASP active for it, even if ASP is configured. SG expects ASP Active
for this interface. It must inform ASP. We use Notify to force ASP sending
ASP Active.
Do you know any other procedure defined in any UA?

Regards,
Lev

>
> --brian
>
> > This just to confirm your statement, that inability to answer OK is
just
> > the same as a failure at any moment later.
> >
> > Thanks,
> > Lev
> >
> >
> >
> >

> >                       "Brian F. G.

> >                       Bidulock"                To:
[email-masked]
> >                       <bidulock@openss         cc:
[email-masked],
> >                       7.org>
[email-masked], [email-masked],
> >                                                [email-masked],
[email-masked]
> >                       13/01/03 13:53           Subject: Re: [Sigtran]
IUA -  ASP Active and ACTIVE ACK
> >                       Please respond

> >                       to bidulock

> >
> >
> >
> > Lev.Finkel,
> >
> > Notify(AS_inactive) is never sent after sending ASPAC Ack because the
> > AS is active.  Where in the RFC did you think this was stated?
> >
> > --brian
> >
> > [email-masked] wrote:
> > (Mon, 13 Jan 2003 13:33:23)
> > >
> > > Notify(AS_inactive) or another corresponding notify is the way
provided in
> > > RFC.
> > > Regards, Lev
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 14 Jan 2003 10:13:30 -0700

Lev,

[email-masked] wrote:                                                   (Tue, 14 Jan 2003 18:10:48)
> This statement is like section 3.20 of IUA IG.

And why cannot an IID be activated?

> Do you know any other procedure defined in any UA?

None of the UAs handle misconfiguration well.  Nevertheless, it appears
that Q.921 DL-ESTABLISH procedures would apply.  Sending a Notify can never
"force" an ASP to do anything.  Notifications are advisory only.
Nevertheless, sending NTFY("AS_Inactive") when an AS is first configured
at an SG makes some sense.

--brian